Bug 754433 - [RFE] support bind forward zones, aka DNS conditional forwarding
Summary: [RFE] support bind forward zones, aka DNS conditional forwarding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind-dyndb-ldap
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On: 753483
Blocks: 756082 767486
TreeView+ depends on / blocked
 
Reported: 2011-11-16 13:31 UTC by Martin Kosek
Modified: 2012-06-20 13:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 753483
Environment:
Last Closed: 2012-06-20 13:51:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0837 normal SHIPPED_LIVE bind-dyndb-ldap bug fix and enhancement update 2012-06-19 20:49:06 UTC

Comment 2 Martin Kosek 2011-11-16 13:58:53 UTC
I think it may be a good idea to let bind-dyndb-ldap read global
forwarding/conditional forwarding from LDAP and set named properly.

Right now, we add the global forwarder to named.conf during ipa-dns-install
time. Therefore, this value can now only be changed by user with a root access
to IPA server. This RFE would let IPA users with DNS Administrator role
fix/change forwarding from any machine.

Comment 8 Gowrishankar Rajaiyan 2012-05-16 10:20:50 UTC
Verified: 

ipa-server-2.2.0-13.el6.x86_64
bind-9.8.2-0.9.rc1.el6.x86_64
bind-dyndb-ldap-1.1.0-0.9.b1.el6.x86_64

Comment 10 errata-xmlrpc 2012-06-20 13:51:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0837.html


Note You need to log in before you can comment on or make changes to this bug.